Loading...
Searching...
No Matches
psa_key_derivation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_key_derivation_s:
[legend]

## Data Fields

psa_algorithm_t | private_alg
unsigned int | private_can_output_key: 1
size_t | private_capacity
psa_driver_key_derivation_context_t | private_ctx

## Detailed Description

Definition at line 202 of file crypto_struct.h.

## Field Documentation

## private_alg

psa_algorithm_t psa_key_derivation_s::private_alg

Definition at line 206 of file crypto_struct.h.

## private_can_output_key

unsigned int psa_key_derivation_s::private_can_output_key

Definition at line 207 of file crypto_struct.h.

## private_capacity

size_t psa_key_derivation_s::private_capacity

Definition at line 208 of file crypto_struct.h.

## private_ctx

psa_driver_key_derivation_context_t psa_key_derivation_s::private_ctx

Definition at line 209 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h